import type { Person } from "@formbricks/types/js";
import { Session, Settings } from "@formbricks/types/js";
export declare const createPerson: () => Promise<{
    session: Session;
    person: Person;
    settings: Settings;
}>;
export declare const updatePersonUserId: (userId: string) => Promise<{
    person: Person;
    settings: Settings;
}>;
export declare const updatePersonAttribute: (key: string, value: string) => Promise<{
    person: Person;
    settings: Settings;
}>;
export declare const attributeAlreadySet: (key: string, value: string) => boolean;
export declare const attributeAlreadyExists: (key: string) => boolean;
export declare const setPersonUserId: (userId: string) => Promise<void>;
export declare const setPersonAttribute: (key: string, value: string) => Promise<void>;
export declare const resetPerson: () => Promise<void>;
